Bug 1447049 - [RFE] Volumes summary page does not display any data related to containers that are using persistent volume claim
Summary: [RFE] Volumes summary page does not display any data related to containers th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Nimrod Shneor
QA Contact: Tony
URL:
Whiteboard: container
Depends On: 1402329
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-01 13:07 UTC by Satoe Imaishi
Modified: 2017-05-31 15:07 UTC (History)
12 users (show)

Fixed In Version: 5.8.0.13
Doc Type: Enhancement
Doc Text:
Clone Of: 1402329
Environment:
Last Closed: 2017-05-31 15:07:00 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-01 13:11:13 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/a2a4b0e1bb0c6a2d3aa57ad78541dc0a16cc39b5

commit a2a4b0e1bb0c6a2d3aa57ad78541dc0a16cc39b5
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Apr 26 12:59:32 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon May 1 09:08:51 2017 -0400

    Merge pull request #14231 from nimrodshn/add_pvc_relationship
    
    Add relationship between PersistentVolumes and Pods
    (cherry picked from commit cf353cb36771a508a1993699c1e0727dfbfcd923)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447049

 app/models/persistent_volume.rb           |  3 +++
 spec/factories/persistent_volume_claim.rb |  5 ++++
 spec/models/persistent_volume.rb          | 43 +++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+)
 create mode 100644 spec/factories/persistent_volume_claim.rb
 create mode 100644 spec/models/persistent_volume.rb

Comment 3 CFME Bot 2017-05-01 13:13:25 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/99a02588c1d0f539f1f33fe3ec11100e48c6a4ee

commit 99a02588c1d0f539f1f33fe3ec11100e48c6a4ee
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Apr 27 07:12:50 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon May 1 09:10:57 2017 -0400

    Merge pull request #682 from nimrodshn/add_pvc_relationship
    
    Add UI support for Pod to PV relationship
    (cherry picked from commit 56306949355252a0937dba5426d32df4736e7f3c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1447049

 app/helpers/persistent_volume_helper/textual_summary.rb | 7 ++++++-
 app/views/layouts/listnav/_persistent_volume.html.haml  | 8 ++++++++
 app/views/persistent_volume/show.html.haml              | 2 +-
 3 files changed, 15 insertions(+), 2 deletions(-)

Comment 4 Einat Pacifici 2017-05-10 07:34:20 UTC
Verified. When viewing PVC summary page, the pod that is using the PVC is shown.

Comment 6 errata-xmlrpc 2017-05-31 15:07:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.